%global short_name      commons-validator

Name:             apache-%{short_name}
Version:          1.5.0
Release:          %mkrel 3
Group:            Development/Java
Summary:          Apache Commons Validator
License:          ASL 2.0
URL:              http://commons.apache.org/validator/
BuildArch:        noarch

Source0:          http://www.apache.org/dist/commons/validator/source/%{short_name}-%{version}-src.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(commons-beanutils:commons-beanutils)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-digester:commons-digester)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
A common issue when receiving data either electronically or from user input is
verifying the integrity of the data. This work is repetitive and becomes even
more complicated when different sets of validation rules need to be applied to
the same set of data based on locale for example. Error messages may also vary
by locale. This package attempts to address some of these issues and speed
development and maintenance of validation rules.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' RELEASE-NOTES.txt
sed -i 's/\r//' NOTICE.txt

# Compatibility links
%mvn_alias "%{short_name}:%{short_name}" "org.apache.commons:%{short_name}"
%mvn_file :commons-validator %{short_name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt




%changelog
* Sun May 14 2017 neoclust <neoclust> 1.5.0-3.mga6
+ Revision: 1101239
- Regenerate build-requires

* Wed Mar 02 2016 neoclust <neoclust> 1.5.0-3.mga6
+ Revision: 982501
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.5.0-2.mga6
+ Revision: 975441
- First rebuild of the java stack
- sync package apache-commons-validator with fedora

* Sun Dec 20 2015 zezinho <zezinho> 1.4.1-1.mga6
+ Revision: 912468
- new version

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-6.mga5
+ Revision: 743226
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 677824
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.4.0-4.mga4
+ Revision: 545686
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.4.0-3.mga4
+ Revision: 501556
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 345821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 1.4.0-1.mga3
+ Revision: 324920
- New version

* Thu Jul 05 2012 dmorgan <dmorgan> 1.3.1-7.mga3
+ Revision: 267956
- Tweak source encoding to fix build with Java 1.7.
- Drop versioned jars and javadoc dir.
- Drop no longer needed javadoc Obsoletes.
- Crosslink with local JDK API docs.

* Wed Apr 27 2011 dmorgan <dmorgan> 1.3.1-6.mga1
+ Revision: 92247
- Rebuild after bootstrapping
- imported package apache-commons-validator


* Tue Feb 22 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.1-5
- Change oro to jakarta-oro in BR/R

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Chris Spike <chris.spike@arcor.de> 1.3.1-3
- Moved junit tests to check section

* Sat Oct 2 2010 Chris Spike <chris.spike@arcor.de> 1.3.1-2
- Rename and rebase from jakarta-commons-validator
